%% genereate_cvc_tccs
% generate the type check conditions for cvc for the inputted table.
%
% inputs:
%   table:ca.mcscert.tabularexpression.Table - The table to generate for.
%
% outputs;
%   code:string - string representing code to generate including comments
%   query:cell array - contains string representing both the disjoint and
%   complete without the comments, used for validation report.
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification

function [code, query] = generate_cvc_tccs(~, table)
    % generate the formulas for the grid
    gridGenerator = ca.mcscert.jtet.cvc3generator.HierarchicalGridCVC3Generator();
    code = char(table.walk(gridGenerator));
    query = gridGenerator.getFinalQueries();
end

